/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreValue;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreValueRecord extends UpdatableRecordImpl<TCoreValueRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_value.pk_core_value</code>.
     */
    public void setPkCoreValue(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_value.pk_core_value</code>.
     */
    public Integer getPkCoreValue() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_value.fk_value_valuelist</code>.
     */
    public void setFkValueValuelist(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_value.fk_value_valuelist</code>.
     */
    public Integer getFkValueValuelist() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_value.varvalue</code>. numerical
     * representation of this value
     */
    public void setVarvalue(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_value.varvalue</code>. numerical
     * representation of this value
     */
    public Integer getVarvalue() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_value.value_order</code>. order when
     * displaying this value in a list
     */
    public void setValueOrder(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_value.value_order</code>. order when
     * displaying this value in a list
     */
    public Integer getValueOrder() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_value.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_value.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreValueRecord
     */
    public TCoreValueRecord() {
        super(TCoreValue.T_CORE_VALUE);
    }

    /**
     * Create a detached, initialised TCoreValueRecord
     */
    public TCoreValueRecord(Integer pkCoreValue, Integer fkValueValuelist, Integer varvalue, Integer valueOrder, LocalDateTime lastchange) {
        super(TCoreValue.T_CORE_VALUE);

        setPkCoreValue(pkCoreValue);
        setFkValueValuelist(fkValueValuelist);
        setVarvalue(varvalue);
        setValueOrder(valueOrder);
        setLastchange(lastchange);
        resetChangedOnNotNull();
    }
}
